Page 3 of 4 FirstFirst 1234 LastLast
Results 21 to 30 of 38

Thread: Yast2 problem

  1. #21
    Join Date
    Jul 2008
    Location
    Italy
    Posts
    82

    Default Re: Yast2 problem

    well it looks like I'll have to do the 'sed' command and update to 15.1 because nothing has worked and now no media/video player will work! I tried a zypper up with only packman enabled and I got the following result:-
    Code:
    zypper up
    Loading repository data...
    Reading installed packages...
    
    The following 39 package updates will NOT be installed:
      ffmpeg-3 gstreamer-plugins-bad gstreamer-plugins-bad-lang libavcodec57 libavcodec58 libavdevice57 libavfilter6 libavfilter7 libavformat57
      libavformat58 libavresample3 libavresample4 libavutil55 libavutil56 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0
      libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0
      libgsturidownloader-1_0-0 libgstwayland-1_0-0 libpostproc54 libpostproc55 libswresample2 libswresample3 libswscale4 libswscale5 libvlc5
      libvlccore9 vlc vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt vlc-vdpau
    
    Nothing to do.
    OpenSuSE Leap 15.1 KDE, 64bit
    M/B Intel DP67BG. CPU Intel i7-2600K @3.40GHz. 16GB DIMM 1600MHz. Nvidia GeForce GTX570.
    SanDisk 240GB SSD, ST33000651AS 3TB, WDC WD10EACS-00D 1TB, ST31000340AS 3TB, Hitachi HDT72101 1TB.

  2. #22
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,706

    Default Re: Yast2 problem

    You need to do a vendor change to packman a zypper up will not do a vendor change



    First determine the number of packman in your list

    zypper lr

    Then use the number

    zypper dup from #

    where # is the number of packman
    This will perform the vendor change

  3. #23
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,706

    Default Re: Yast2 problem

    oops miss typed it is
    zypper dup -from #

  4. #24
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,009

    Default Re: Yast2 problem

    Quote Originally Posted by gogalthorp View Post
    oops miss typed it is
    zypper dup -from #
    Again misstyped (two - is --)
    Code:
    zypper dup --from #
    Henk van Velden

  5. #25
    Join Date
    Jul 2008
    Location
    Italy
    Posts
    82

    Default Re: Yast2 problem

    Quote Originally Posted by hcvv View Post
    Again misstyped (two - is --)
    Code:
    zypper dup --from #
    Thanks that did the trick for the media playback, I haven't done the upgrade yet because I wanted to sleep on it plus I'd like to have my present system working properly before upgrading that way I'v always got the fallback option in GRUB when I reboot if I have problems with the 15.1 installation.
    OpenSuSE Leap 15.1 KDE, 64bit
    M/B Intel DP67BG. CPU Intel i7-2600K @3.40GHz. 16GB DIMM 1600MHz. Nvidia GeForce GTX570.
    SanDisk 240GB SSD, ST33000651AS 3TB, WDC WD10EACS-00D 1TB, ST31000340AS 3TB, Hitachi HDT72101 1TB.

  6. #26
    Join Date
    Jul 2008
    Location
    Italy
    Posts
    82

    Default Re: Yast2 problem

    I still haven't done the upgrade but I've downloaded the ISO and burnt the DVD. I wanted to leave the Nvidia repository active (16.1) because everytime I've done an upgrade in the past I boot into an emergency konsole with limited commands and it's usually due to to the X11 drivers and Nvidia. So, is there a zypper command to except license agreements?
    Murphy's law I see Packman is down for 24 hours so I'll probably wait for that to be back up at least.

    Code:
    Wednesday 11th September 2019Packman Build Service will be moving to new location, expect the outage to be 24 hours.
    More information - https://forums.opensuse.org/showthread.php/537401-Notice-Upcoming-changes-for-PMBS-(Packman-Build-Service)
    OpenSuSE Leap 15.1 KDE, 64bit
    M/B Intel DP67BG. CPU Intel i7-2600K @3.40GHz. 16GB DIMM 1600MHz. Nvidia GeForce GTX570.
    SanDisk 240GB SSD, ST33000651AS 3TB, WDC WD10EACS-00D 1TB, ST31000340AS 3TB, Hitachi HDT72101 1TB.

  7. #27
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,807
    Blog Entries
    14

    Default Re: Yast2 problem

    Re. NVIDIA:
    YaST > Software > Repositories > Add > Community repos > check the NVIDIA repo, OK OK OK, trust the key when asked for,
    YaST > Software > Software Manager. The appropriate NVIDIA packages will be auto selected, install them, reboot and you should be fine.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  8. #28
    Join Date
    Jul 2008
    Location
    Italy
    Posts
    82

    Default Re: Yast2 problem

    Quote Originally Posted by Knurpht View Post
    Re. NVIDIA:
    YaST > Software > Repositories > Add > Community repos > check the NVIDIA repo, OK OK OK, trust the key when asked for,
    YaST > Software > Software Manager. The appropriate NVIDIA packages will be auto selected, install them, reboot and you should be fine.
    Don't forget my problem is that Yast doesn't work, I can only use the command line.
    I have to pause this thread because my LAN is down and I am trying to set up a WiFi connection with no success up til now.
    I'm using my phone to connect to the forum.
    OpenSuSE Leap 15.1 KDE, 64bit
    M/B Intel DP67BG. CPU Intel i7-2600K @3.40GHz. 16GB DIMM 1600MHz. Nvidia GeForce GTX570.
    SanDisk 240GB SSD, ST33000651AS 3TB, WDC WD10EACS-00D 1TB, ST31000340AS 3TB, Hitachi HDT72101 1TB.

  9. #29
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,153
    Blog Entries
    2

    Default Re: Yast2 problem

    Quote Originally Posted by ghep View Post
    Don't forget my problem is that Yast doesn't work, I can only use the command line.
    I have to pause this thread because my LAN is down and I am trying to set up a WiFi connection with no success up til now.
    I'm using my phone to connect to the forum.
    yast2 does not work, but does yast (which is yast in text mode) work?

    Try executing in a terminal
    Code:
    yast
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  10. #30
    Join Date
    Jul 2008
    Location
    Italy
    Posts
    82

    Default Re: Yast2 problem

    I've just got internet back, I had always been trying yast2 from the console and with 'yast' :-
    Code:
    Error                                                                                                                               │ 
         │ Internal error. Please report a bug report with logs.                                                                               │ 
         │ Run save_y2logs to get complete logs.                                                                                               │ 
         │ Details: Failed to load Module 'SourceDialogs' due to: Failed to load Module 'CWM' due to: cannot load such file -- abstract_method │ 
         │ Caller:  /usr/lib64/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
    It's the same,
    What makes me sad is that in Tumbleweed what we've been doing worked :-
    https://forums.opensuse.org/showthre...ed+load+module

    :-(
    OpenSuSE Leap 15.1 KDE, 64bit
    M/B Intel DP67BG. CPU Intel i7-2600K @3.40GHz. 16GB DIMM 1600MHz. Nvidia GeForce GTX570.
    SanDisk 240GB SSD, ST33000651AS 3TB, WDC WD10EACS-00D 1TB, ST31000340AS 3TB, Hitachi HDT72101 1TB.

Page 3 of 4 FirstFirst 1234 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •